import { Logo } from '@/components/logo';
import { Button } from '@/components/ui/button';
import Link from 'next/link';

export const Footer = () => {
  return (
    <div className='fixed bottom-0 w-full border-t bg-slate-100 p-4'>
      <div className='mx-auto flex w-full items-center justify-between md:max-w-screen-2xl'>
        <Logo />
        <div className='flex w-full items-center justify-between space-x-4 md:block md:w-auto'>
          <Button size='sm' variant='ghost'>
            <Link href='/privacy-policy'>Privacy Policy</Link>
          </Button>
          <Button size='sm' variant='ghost'>
            Terms of Service
          </Button>
        </div>
      </div>
    </div>
  );
};
